<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>sdioemb: /home/bfsw/host/releases/sdioemb/sdioemb-15/builds/sdioemb-15/include/sdioemb/sdio_api.h Source File</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<!-- Generated by Doxygen 1.3.5 -->
<div class="qindex"><a class="qindex" href="index.html">Main&nbsp;Page</a> | <a class="qindex" href="modules.html">Modules</a> | <a class="qindex" href="annotated.html">Data&nbsp;Structures</a> | <a class="qindex" href="files.html">File&nbsp;List</a> | <a class="qindex" href="functions.html">Data&nbsp;Fields</a> | <a class="qindex" href="pages.html">Related&nbsp;Pages</a></div>
<h1>/home/bfsw/host/releases/sdioemb/sdioemb-15/builds/sdioemb-15/include/sdioemb/sdio_api.h</h1><div class="fragment"><pre>00001 <span class="comment">/*</span>
00002 <span class="comment"> * SDIO device driver API.</span>
00003 <span class="comment"> *</span>
00004 <span class="comment"> * Copyright (C) 2007 Cambridge Silicon Radio Ltd.</span>
00005 <span class="comment"> *</span>
00006 <span class="comment"> * Refer to LICENSE.txt included with this source code for details on</span>
00007 <span class="comment"> * the license terms.</span>
00008 <span class="comment"> */</span>
00009 <span class="preprocessor">#ifndef _SDIO_API_H</span>
00010 <span class="preprocessor"></span><span class="preprocessor">#define _SDIO_API_H</span>
00011 <span class="preprocessor"></span>
00033 <span class="keyword">struct </span><a class="code" href="structsdio__func__driver.html">sdio_func_driver</a>;
00034 <span class="keyword">struct </span><a class="code" href="structsdio__dev.html">sdio_dev</a>;
00035 <span class="keyword">struct </span>sdio_dev_priv;
00036 
<a name="l00051"></a><a class="code" href="group__fdriver.html#ga0">00051</a> <span class="keyword">typedef</span> int (*<a class="code" href="group__fdriver.html#ga0">sdio_card_io_read8_t</a>)(<span class="keyword">struct </span><a class="code" href="structsdio__dev.html">sdio_dev</a> *fdev, <span class="keywordtype">int</span> function,
00052                                     uint32_t addr, uint8_t *data);
00053 
<a name="l00068"></a><a class="code" href="group__fdriver.html#ga1">00068</a> <span class="keyword">typedef</span> int (*<a class="code" href="group__fdriver.html#ga1">sdio_card_io_write8_t</a>)(<span class="keyword">struct </span><a class="code" href="structsdio__dev.html">sdio_dev</a> *fdev, <span class="keywordtype">int</span> function,
00069                                      uint32_t addr, uint8_t data);
00070 
<a name="l00086"></a><a class="code" href="group__fdriver.html#ga2">00086</a> <span class="keyword">typedef</span> int (*<a class="code" href="group__fdriver.html#ga2">sdio_card_io_read_t</a>)(<span class="keyword">struct </span><a class="code" href="structsdio__dev.html">sdio_dev</a> *fdev, <span class="keywordtype">int</span> function,
00087                                    uint32_t addr, uint8_t *data, size_t len);
00088 
<a name="l00104"></a><a class="code" href="group__fdriver.html#ga3">00104</a> <span class="keyword">typedef</span> int (*<a class="code" href="group__fdriver.html#ga3">sdio_card_io_write_t</a>)(<span class="keyword">struct </span><a class="code" href="structsdio__dev.html">sdio_dev</a> *fdev, <span class="keywordtype">int</span> function,
00105                                     uint32_t addr, <span class="keyword">const</span> uint8_t *data, size_t len);
00106 
<a name="l00112"></a><a class="code" href="structsdio__card__io__ops.html">00112</a> <span class="keyword">struct </span><a class="code" href="structsdio__card__io__ops.html">sdio_card_io_ops</a> {
00113     <a class="code" href="group__fdriver.html#ga0">sdio_card_io_read8_t</a>  read8;
00114     <a class="code" href="group__fdriver.html#ga1">sdio_card_io_write8_t</a> write8;
00115     <a class="code" href="group__fdriver.html#ga2">sdio_card_io_read_t</a>   read;
00116     <a class="code" href="group__fdriver.html#ga3">sdio_card_io_write_t</a>  write;
00117 };
00118 
<a name="l00128"></a><a class="code" href="structsdio__dev.html">00128</a> <span class="keyword">struct </span><a class="code" href="structsdio__dev.html">sdio_dev</a> {
<a name="l00129"></a><a class="code" href="structsdio__dev.html#o0">00129</a>     <span class="keyword">struct </span><a class="code" href="structsdio__func__driver.html">sdio_func_driver</a> *<a class="code" href="structsdio__dev.html#o0">driver</a>;        
<a name="l00130"></a><a class="code" href="structsdio__dev.html#o1">00130</a>     uint16_t                 <a class="code" href="structsdio__dev.html#o1">vendor_id</a>;     
<a name="l00131"></a><a class="code" href="structsdio__dev.html#o2">00131</a>     uint16_t                 <a class="code" href="structsdio__dev.html#o2">device_id</a>;     
<a name="l00132"></a><a class="code" href="structsdio__dev.html#o3">00132</a>     <span class="keywordtype">int</span>                      function;      
<a name="l00133"></a><a class="code" href="structsdio__dev.html#o4">00133</a>     uint8_t                  <a class="code" href="structsdio__dev.html#o4">interface</a>;     
<a name="l00134"></a><a class="code" href="structsdio__dev.html#o5">00134</a>     <span class="keywordtype">int</span>                      <a class="code" href="structsdio__dev.html#o5">max_blocksize</a>; 
<a name="l00135"></a><a class="code" href="structsdio__dev.html#o6">00135</a>     <span class="keywordtype">int</span>                      <a class="code" href="structsdio__dev.html#o6">blocksize</a>;     
<a name="l00141"></a><a class="code" href="structsdio__dev.html#o7">00141</a>     <span class="keyword">struct </span><a class="code" href="structsdio__card__io__ops.html">sdio_card_io_ops</a> *<a class="code" href="structsdio__dev.html#o7">io</a>;
<a name="l00142"></a><a class="code" href="structsdio__dev.html#o8">00142</a>     <span class="keywordtype">int</span>                      <a class="code" href="structsdio__dev.html#o8">slot_id</a>;       
<a name="l00143"></a><a class="code" href="structsdio__dev.html#o9">00143</a>     <span class="keywordtype">void</span> *                   <a class="code" href="structsdio__dev.html#o9">os_device</a>;     
<a name="l00144"></a><a class="code" href="structsdio__dev.html#o10">00144</a>     <span class="keyword">struct </span>sdio_dev_priv *   <a class="code" href="structsdio__dev.html#o10">priv</a>;          
<a name="l00145"></a><a class="code" href="structsdio__dev.html#o11">00145</a>     <span class="keywordtype">void</span> *                   <a class="code" href="structsdio__dev.html#o11">drv_data</a>;      
00146 };
00147 
00148 <span class="preprocessor">#define SDD_ANY_ID    0xffff</span>
00149 <span class="preprocessor"></span><span class="preprocessor">#define SDD_UIF_FUNC  8</span>
00150 <span class="preprocessor"></span><span class="preprocessor">#define SDD_ANY_FUNC  0xff</span>
00151 <span class="preprocessor"></span><span class="preprocessor">#define SDD_ANY_IFACE 0xff</span>
00152 <span class="preprocessor"></span>
<a name="l00165"></a><a class="code" href="structsdio__id__table.html">00165</a> <span class="keyword">struct </span><a class="code" href="structsdio__id__table.html">sdio_id_table</a> {
<a name="l00166"></a><a class="code" href="structsdio__id__table.html#o0">00166</a>     uint16_t <a class="code" href="structsdio__id__table.html#o0">vendor_id</a>; 
<a name="l00167"></a><a class="code" href="structsdio__id__table.html#o1">00167</a>     uint16_t <a class="code" href="structsdio__id__table.html#o1">device_id</a>; 
<a name="l00168"></a><a class="code" href="structsdio__id__table.html#o2">00168</a>     <span class="keywordtype">int</span>      function;  
<a name="l00169"></a><a class="code" href="structsdio__id__table.html#o3">00169</a>     uint8_t  <a class="code" href="structsdio__id__table.html#o3">interface</a>; 
00170 };
00171 
<a name="l00177"></a><a class="code" href="structsdio__func__driver.html">00177</a> <span class="keyword">struct </span><a class="code" href="structsdio__func__driver.html">sdio_func_driver</a> {
<a name="l00181"></a><a class="code" href="structsdio__func__driver.html#o0">00181</a>     <span class="keyword">const</span> <span class="keywordtype">char</span> *<a class="code" href="structsdio__func__driver.html#o0">name</a>;
00182 
<a name="l00190"></a><a class="code" href="structsdio__func__driver.html#o1">00190</a>     <span class="keyword">struct </span><a class="code" href="structsdio__id__table.html">sdio_id_table</a> *<a class="code" href="structsdio__func__driver.html#o1">id_table</a>;
00191 
00208     int (*probe)(<span class="keyword">struct </span><a class="code" href="structsdio__dev.html">sdio_dev</a> *fdev);
00209 
00223     void (*remove)(<span class="keyword">struct </span><a class="code" href="structsdio__dev.html">sdio_dev</a> *fdev);
00224 
00244     void (*card_int_handler)(<span class="keyword">struct </span><a class="code" href="structsdio__dev.html">sdio_dev</a> *fdev);
00245 
00259     void (*suspend)(<span class="keyword">struct </span><a class="code" href="structsdio__dev.html">sdio_dev</a> *fdev);
00260 
00275     void (*resume)(<span class="keyword">struct </span><a class="code" href="structsdio__dev.html">sdio_dev</a> *fdev);
00276 };
00277 
00278 <span class="keywordtype">int</span>  <a class="code" href="group__fdriver.html#ga7">sdio_driver_register</a>(<span class="keyword">struct</span> <a class="code" href="structsdio__func__driver.html">sdio_func_driver</a> *fdriver);
00279 <span class="keywordtype">void</span> <a class="code" href="group__fdriver.html#ga8">sdio_driver_unregister</a>(<span class="keyword">struct</span> <a class="code" href="structsdio__func__driver.html">sdio_func_driver</a> *fdriver);
00280 
00281 <span class="comment">/* For backward compatibility. */</span>
00282 <span class="preprocessor">#define sdio_register_driver sdio_driver_register</span>
00283 <span class="preprocessor"></span><span class="preprocessor">#define sdio_unregister_driver sdio_driver_unregister</span>
00284 <span class="preprocessor"></span>
00285 <span class="keywordtype">int</span> <a class="code" href="group__fdriver.html#ga11">sdio_set_block_size</a>(<span class="keyword">struct</span> <a class="code" href="structsdio__dev.html">sdio_dev</a> *fdev, <span class="keywordtype">int</span> blksz);
00286 <span class="keywordtype">void</span> <a class="code" href="group__fdriver.html#ga13">sdio_set_max_bus_freq</a>(<span class="keyword">struct</span> <a class="code" href="structsdio__dev.html">sdio_dev</a> *fdev, <span class="keywordtype">int</span> max_freq);
00287 <span class="keywordtype">int</span> <a class="code" href="group__fdriver.html#ga14">sdio_set_bus_width</a>(<span class="keyword">struct</span> <a class="code" href="structsdio__dev.html">sdio_dev</a> *fdev, <span class="keywordtype">int</span> bus_width);
00288 
00289 <span class="keywordtype">int</span> <a class="code" href="group__fdriver.html#ga9">sdio_enable_function</a>(<span class="keyword">struct</span> <a class="code" href="structsdio__dev.html">sdio_dev</a> *fdev);
00290 <span class="keywordtype">int</span> <a class="code" href="group__fdriver.html#ga10">sdio_disable_function</a>(<span class="keyword">struct</span> <a class="code" href="structsdio__dev.html">sdio_dev</a> *fdev);
00291 <span class="keywordtype">void</span> <a class="code" href="group__fdriver.html#ga12">sdio_idle_function</a>(<span class="keyword">struct</span> <a class="code" href="structsdio__dev.html">sdio_dev</a> *fdev);
00292 
00293 <span class="keywordtype">int</span> <a class="code" href="group__fdriver.html#ga17">sdio_read8</a>(<span class="keyword">struct</span> <a class="code" href="structsdio__dev.html">sdio_dev</a> *fdev, uint32_t addr, uint8_t *val);
00294 <span class="keywordtype">int</span> <a class="code" href="group__fdriver.html#ga18">sdio_write8</a>(<span class="keyword">struct</span> <a class="code" href="structsdio__dev.html">sdio_dev</a> *fdev, uint32_t addr, uint8_t val);
00295 <span class="keywordtype">int</span> <a class="code" href="group__fdriver.html#ga19">sdio_f0_read8</a>(<span class="keyword">struct</span> <a class="code" href="structsdio__dev.html">sdio_dev</a> *fdev, uint32_t addr, uint8_t *val);
00296 <span class="keywordtype">int</span> <a class="code" href="group__fdriver.html#ga20">sdio_f0_write8</a>(<span class="keyword">struct</span> <a class="code" href="structsdio__dev.html">sdio_dev</a> *fdev, uint32_t addr, uint8_t val);
00297 <span class="keywordtype">int</span> <a class="code" href="group__fdriver.html#ga21">sdio_read</a>(<span class="keyword">struct</span> <a class="code" href="structsdio__dev.html">sdio_dev</a> *fdev, uint32_t addr, <span class="keywordtype">void</span> *data, size_t len);
00298 <span class="keywordtype">int</span> <a class="code" href="group__fdriver.html#ga22">sdio_write</a>(<span class="keyword">struct</span> <a class="code" href="structsdio__dev.html">sdio_dev</a> *fdev, uint32_t addr, <span class="keyword">const</span> <span class="keywordtype">void</span> *data, size_t len);
00299 
00300 <span class="keywordtype">int</span> <a class="code" href="group__fdriver.html#ga4">sdio_hard_reset</a>(<span class="keyword">struct</span> <a class="code" href="structsdio__dev.html">sdio_dev</a> *fdev);
00301 
00302 <span class="keywordtype">void</span> <a class="code" href="group__fdriver.html#ga23">sdio_power_on</a>(<span class="keyword">struct</span> <a class="code" href="structsdio__dev.html">sdio_dev</a> *fdev);
00303 <span class="keywordtype">void</span> <a class="code" href="group__fdriver.html#ga24">sdio_power_off</a>(<span class="keyword">struct</span> <a class="code" href="structsdio__dev.html">sdio_dev</a> *fdev);
00304 
00305 <span class="keywordtype">void</span> <a class="code" href="group__fdriver.html#ga15">sdio_enable_interrupt</a>(<span class="keyword">struct</span> <a class="code" href="structsdio__dev.html">sdio_dev</a> *);
00306 <span class="keywordtype">void</span> <a class="code" href="group__fdriver.html#ga16">sdio_disable_interrupt</a>(<span class="keyword">struct</span> <a class="code" href="structsdio__dev.html">sdio_dev</a> *);
00307 
00308 <span class="keywordtype">int</span> <a class="code" href="group__fdriver.html#ga5">sdio_cis_get_tuple</a>(<span class="keyword">struct</span> <a class="code" href="structsdio__dev.html">sdio_dev</a> *fdev, uint8_t tuple,
00309                        <span class="keywordtype">void</span> *buf, size_t len);
00310 
<a name="l00316"></a><a class="code" href="group__fdriver.html#ga39">00316</a> <span class="keyword">enum</span> <a class="code" href="group__fdriver.html#ga39">sdio_cmd_status</a> {
00317     <a class="code" href="group__fdriver.html#gga39a24">SDD_CMD_OK</a>          = 0x00, 
00319     SDD_CMD_ERR_CMD     = 0x01, 
00320     SDD_CMD_ERR_DAT     = 0x02,
00321 
00322     SDD_CMD_ERR_CRC     = 0x10,
00323     SDD_CMD_ERR_TIMEOUT = 0x20,
00324     SDD_CMD_ERR_OTHER   = 0x40,
00325 
00326     <a class="code" href="group__fdriver.html#gga39a30">SDD_CMD_ERR_CMD_CRC</a>     = SDD_CMD_ERR_CMD | SDD_CMD_ERR_CRC,     
00327     <a class="code" href="group__fdriver.html#gga39a31">SDD_CMD_ERR_CMD_TIMEOUT</a> = SDD_CMD_ERR_CMD | SDD_CMD_ERR_TIMEOUT, 
00328     <a class="code" href="group__fdriver.html#gga39a32">SDD_CMD_ERR_CMD_OTHER</a>   = SDD_CMD_ERR_CMD | SDD_CMD_ERR_OTHER,   
00329     <a class="code" href="group__fdriver.html#gga39a33">SDD_CMD_ERR_DAT_CRC</a>     = SDD_CMD_ERR_DAT | SDD_CMD_ERR_CRC,     
00330     <a class="code" href="group__fdriver.html#gga39a34">SDD_CMD_ERR_DAT_TIMEOUT</a> = SDD_CMD_ERR_DAT | SDD_CMD_ERR_TIMEOUT, 
00331     <a class="code" href="group__fdriver.html#gga39a35">SDD_CMD_ERR_DAT_OTHER</a>   = SDD_CMD_ERR_DAT | SDD_CMD_ERR_OTHER,   
00333     <a class="code" href="group__fdriver.html#gga39a36">SDD_CMD_ERR_NO_CARD</a> = 0x04, 
00335     <a class="code" href="group__fdriver.html#gga39a37">SDD_CMD_IN_PROGRESS</a> = 0xff, 
00336 };
00337 
<a name="l00351"></a><a class="code" href="unionsdio__response.html">00351</a> <span class="keyword">union </span><a class="code" href="unionsdio__response.html">sdio_response</a> {
00352     uint32_t r1;
00353     uint32_t r4;
00354     uint32_t r5;
00355     uint32_t r6;
00356 };
00357 
<a name="l00361"></a><a class="code" href="structsdio__cmd__resp.html">00361</a> <span class="keyword">struct </span><a class="code" href="structsdio__cmd__resp.html">sdio_cmd_resp</a> {
<a name="l00362"></a><a class="code" href="structsdio__cmd__resp.html#o0">00362</a>     uint8_t  <a class="code" href="structsdio__cmd__resp.html#o0">cmd</a>;                 
<a name="l00363"></a><a class="code" href="structsdio__cmd__resp.html#o1">00363</a>     uint32_t <a class="code" href="structsdio__cmd__resp.html#o1">arg</a>;                 
<a name="l00364"></a><a class="code" href="structsdio__cmd__resp.html#o2">00364</a>     <span class="keyword">union </span><a class="code" href="unionsdio__response.html">sdio_response</a> response; 
00367 };
00368 
<a name="l00372"></a><a class="code" href="structcspi__cmd__resp.html">00372</a> <span class="keyword">struct </span><a class="code" href="structcspi__cmd__resp.html">cspi_cmd_resp</a> {
<a name="l00373"></a><a class="code" href="structcspi__cmd__resp.html#o0">00373</a>     <span class="keywordtype">unsigned</span> <a class="code" href="structcspi__cmd__resp.html#o0">cmd</a> : 8;  
<a name="l00374"></a><a class="code" href="structcspi__cmd__resp.html#o1">00374</a>     <span class="keywordtype">unsigned</span> addr: 24; 
<a name="l00375"></a><a class="code" href="structcspi__cmd__resp.html#o2">00375</a>     uint16_t <a class="code" href="structcspi__cmd__resp.html#o2">val</a>;      
<a name="l00376"></a><a class="code" href="structcspi__cmd__resp.html#o3">00376</a>     uint8_t  response; 
00378 };
00379 
00380 
<a name="l00389"></a><a class="code" href="structsdio__cmd.html">00389</a> <span class="keyword">struct </span><a class="code" href="structsdio__cmd.html">sdio_cmd</a> {
<a name="l00394"></a><a class="code" href="structsdio__cmd.html#o0">00394</a>     <span class="keyword">struct </span><a class="code" href="structsdio__dev.html">sdio_dev</a> *<a class="code" href="structsdio__cmd.html#o0">owner</a>;
00395 
00403     void (*callback)(<span class="keyword">struct </span><a class="code" href="structsdio__cmd.html">sdio_cmd</a> *cmd);
00404 
<a name="l00426"></a><a class="code" href="structsdio__cmd.html#o2">00426</a>     <span class="keywordtype">unsigned</span> <a class="code" href="structsdio__cmd.html#o2">flags</a>;
00427 
<a name="l00433"></a><a class="code" href="structsdio__cmd.html#o3">00433</a>     <span class="keyword">struct </span><a class="code" href="structsdio__cmd__resp.html">sdio_cmd_resp</a> sdio;
00434 
<a name="l00440"></a><a class="code" href="structsdio__cmd.html#o4">00440</a>     <span class="keyword">struct </span><a class="code" href="structcspi__cmd__resp.html">cspi_cmd_resp</a> cspi;
00441 
<a name="l00447"></a><a class="code" href="structsdio__cmd.html#o5">00447</a>     uint8_t *data;
00448 
<a name="l00455"></a><a class="code" href="structsdio__cmd.html#o6">00455</a>     size_t <a class="code" href="structsdio__cmd.html#o6">len</a>;
00456 
<a name="l00460"></a><a class="code" href="structsdio__cmd.html#o7">00460</a>     <span class="keyword">enum</span> <a class="code" href="group__fdriver.html#ga39">sdio_cmd_status</a> <a class="code" href="structsdio__cmd.html#o7">status</a>;
00461 
<a name="l00465"></a><a class="code" href="structsdio__cmd.html#o8">00465</a>     <span class="keywordtype">void</span> *<a class="code" href="structsdio__cmd.html#o8">priv</a>;
00466 };
00467 
<a name="l00470"></a><a class="code" href="group__fdriver.html#ga25">00470</a> <span class="preprocessor">#define SDD_CMD_FLAG_RESP_NONE 0x00 </span>
<a name="l00471"></a><a class="code" href="group__fdriver.html#ga26">00471</a> <span class="preprocessor">#define SDD_CMD_FLAG_RESP_R1   0x01 </span>
<a name="l00472"></a><a class="code" href="group__fdriver.html#ga27">00472</a> <span class="preprocessor">#define SDD_CMD_FLAG_RESP_R1B  0x02 </span>
<a name="l00473"></a><a class="code" href="group__fdriver.html#ga28">00473</a> <span class="preprocessor">#define SDD_CMD_FLAG_RESP_R2   0x03 </span>
<a name="l00474"></a><a class="code" href="group__fdriver.html#ga29">00474</a> <span class="preprocessor">#define SDD_CMD_FLAG_RESP_R3   0x04 </span>
<a name="l00475"></a><a class="code" href="group__fdriver.html#ga30">00475</a> <span class="preprocessor">#define SDD_CMD_FLAG_RESP_R4   0x05 </span>
<a name="l00476"></a><a class="code" href="group__fdriver.html#ga31">00476</a> <span class="preprocessor">#define SDD_CMD_FLAG_RESP_R5   0x06 </span>
<a name="l00477"></a><a class="code" href="group__fdriver.html#ga32">00477</a> <span class="preprocessor">#define SDD_CMD_FLAG_RESP_R5B  0x07 </span>
<a name="l00478"></a><a class="code" href="group__fdriver.html#ga33">00478</a> <span class="preprocessor">#define SDD_CMD_FLAG_RESP_R6   0x08 </span>
<a name="l00479"></a><a class="code" href="group__fdriver.html#ga34">00479</a> <span class="preprocessor">#define SDD_CMD_FLAG_RESP_MASK 0xff </span>
00480 <span class="preprocessor">#define SDD_CMD_FLAG_RAW     0x0100 </span>
<a name="l00481"></a><a class="code" href="group__fdriver.html#ga36">00481</a> <span class="preprocessor">#define SDD_CMD_FLAG_READ    0x0200 </span>
<a name="l00482"></a><a class="code" href="group__fdriver.html#ga37">00482</a> <span class="preprocessor">#define SDD_CMD_FLAG_CSPI    0x0400 </span>
<a name="l00483"></a><a class="code" href="group__fdriver.html#ga38">00483</a> <span class="preprocessor">#define SDD_CMD_FLAG_ABORT   0x0800 </span>
00485 <span class="preprocessor"></span>
00486 <span class="preprocessor"></span><span class="keywordtype">int</span> <a class="code" href="group__fdriver.html#ga6">sdio_start_cmd</a>(<span class="keyword">struct</span> <a class="code" href="structsdio__dev.html">sdio_dev</a> *fdev, <span class="keyword">struct</span> <a class="code" href="structsdio__cmd.html">sdio_cmd</a> *cmd);
00487 
00488 <span class="preprocessor">#endif </span><span class="comment">/* #ifndef _SDIO_API_H */</span>
</pre></div><hr size="1"><address style="align: right;"><small>Generated on Fri Nov 21 14:14:54 2008 for sdioemb by
<a href="http://www.doxygen.org/index.html">
<img src="doxygen.png" alt="doxygen" align="middle" border=0 > 
</a>1.3.5 </small></address>
</body>
</html>
